Bug 1206588 - [RFE] Visualize FreeIPA server replication topology
Summary: [RFE] Visualize FreeIPA server replication topology
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Abhijeet Kasurde
QA Contact: Namita Soman
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 1203710 1313485 1199516 1296125 1298848
TreeView+ depends on / blocked
 
Reported: 2015-03-27 13:24 UTC by Martin Kosek
Modified: 2016-11-04 05:44 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-04 05:44:59 UTC


Attachments (Terms of Use)
topology.png (65.07 KB, image/png)
2016-09-06 09:22 UTC, Abhijeet Kasurde
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2404 normal SHIPPED_LIVE ipa bug fix and enhancement update 2016-11-03 13:56:18 UTC

Description Martin Kosek 2015-03-27 13:24:34 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/4286

Create a page in the UI that would render a graph of the IdM masters with replication agreements.

After that it would be nice to be able to:
 a. Make so that it can be used from other applications like Foreman
 b. Also clicking a replication agreement would allow to remove the agreement
 c. Dragging replica X and dropping on replica Y would create a new replication agreement from from X to Y.

In future that can become a replica management control centre where other per replica management operations can be done in a drag and drop manner.

Comment 1 Martin Kosek 2015-07-07 07:48:48 UTC
Topology feature was postponed in the upstream project, to FreeIPA 4.3 which should closely follow FreeIPA 4.2 release.

See the reasoning and details in:
http://www.redhat.com/archives/freeipa-devel/2015-July/msg00092.html

Comment 2 Petr Vobornik 2016-01-22 09:39:12 UTC
basic visualization has been implemented upstream

Comment 3 Mike McCune 2016-03-28 22:42:18 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 5 Abhijeet Kasurde 2016-09-06 09:22 UTC
Created attachment 1198150 [details]
topology.png

Verified using IPA version ::
ipa-server-4.4.0-8.el7.x86_64

Marking BZ as verified.

Comment 7 errata-xmlrpc 2016-11-04 05:44:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2404.html


Note You need to log in before you can comment on or make changes to this bug.